> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/payment-terms/post-payment-terms/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Create a payment term POST https://api.sandbox.monite.com/v1/payment_terms Content-Type: application/json Reference: https://docs.monite.com/api/payment-terms/post-payment-terms ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ### Body (application/json) This endpoint expects an object. - `name` (string, required) - `term_final` (TermFinalDays, required) — The final tier of the payment term. Defines the invoice due date. - `description` (string, optional) - `term_1` (TermDiscountDays, optional) — The first tier of the payment term. Represents the terms of the first early discount. - `term_2` (TermDiscountDays, optional) — The second tier of the payment term. Defines the terms of the second early discount. ## Response ### 201 Successful Response - `id` (string, required) - `name` (string, required) - `term_final` (TermFinalDays, required) — The final tier of the payment term. Defines the invoice due date. - `description` (string, optional) - `term_1` (TermDiscountDays, optional) — The first tier of the payment term. Represents the terms of the first early discount. - `term_2` (TermDiscountDays, optional) — The second tier of the payment term. Defines the terms of the second early discount. ## Errors ### 400 Post Payment Terms Request Bad Request Error Bad Request - `error` (ErrorSchema, required) ### 401 Post Payment Terms Request Unauthorized Error Unauthorized - `error` (ErrorSchema, required) ### 403 Post Payment Terms Request Forbidden Error Forbidden - `error` (ErrorSchema, required) ### 422 Post Payment Terms Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Post Payment Terms Request Internal Server Error Internal Server Error - `error` (ErrorSchema, required) ## Types ### TermFinalDays - `number_of_days` (integer, required) — The amount of days after the invoice issue date. ### TermDiscountDays - `discount` (integer, required) — The discount percentage in minor units. E.g., 200 means 2%. 1050 means 10.5%. - `number_of_days` (integer, required) — The amount of days after the invoice issue date. ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "name": "name", "term_final": { "number_of_days": 1 } } ``` **Response** ```json { "id": "id", "name": "name", "term_final": { "number_of_days": 1 }, "description": "description", "term_1": { "discount": 1, "number_of_days": 1 }, "term_2": { "discount": 1, "number_of_days": 1 } } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/payment_terms" payload = { "name": "name", "term_final": { "number_of_days": 1 } } headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/payment_terms'; const options = { method: 'POST', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"name":"name","term_final":{"number_of_days":1}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/payment_terms" payload := strings.NewReader("{\n \"name\": \"name\",\n \"term_final\": {\n \"number_of_days\": 1\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/payment_terms") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"name\",\n \"term_final\": {\n \"number_of_days\": 1\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/payment_terms") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"name\",\n \"term_final\": {\n \"number_of_days\": 1\n }\n}") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/payment_terms', [ 'body' => '{ "name": "name", "term_final": { "number_of_days": 1 } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/payment_terms"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"name\",\n \"term_final\": {\n \"number_of_days\": 1\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "name", "term_final": ["number_of_days": 1] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/payment_terms")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```